Search Pharmacies

Retrieves a list of pharmacies that match the parameters submitted. Depending on the parameter, at least one of the following location parameters are required: zipcode, city, state, latitude, longitude.

Request

GET/clinical/v1/search/pharmacy

Path Parameters


No parameters

Query Parameters


zipcodestring :optional

The 5 digit zip code to search within.


citystring :optional

The name of the city to search within. When used, you must also supply the state param.


statestring :optional

The 2 character USPS state code.


latitudestring :optional

The longitude geo-coordinates to search within. When used, the longitude param is required.


longitudestring :optional

The longitude geo-coordinates to search within. When used, the latitude param is required.


distancenumeric :optional

The number of miles to search within. The default value is 15.


pharmacynamestring :optional

The name of the pharmacy to search for.


partialboolean :optional

Perform a partial search, allowing for searching based on a partial value of the pharmacyname. Great for "search-as-you-type" scenarios. Default value is true.


fuzzyboolean :optional

Perform a fuzzy search, a type of query that compensates for typos and misspelled terms in the input string. Default value is true.


twentyfourhouronlyboolean :optional

Specifies if results should only include pharmacies that are open twenty-four hours each day. Default value is false.


countnumeric :optional

The maximum number of results to return. Default value is 50.


Example


curl -XGET 'https://platform.wellviasolutions.com/clinical/v1/search/pharmacy' \
    -u 'Bearer:{your_token}'
GET https://platform.wellviasolutions.com/clinical/v1/search/pharmacy?zipcode=75063 HTTP/1.1
using WellViaSDK.Clinical;

const string apiSubscriptionKey = "your_api_subscription_key";
var _clnClient = new WellViaClinicalServiceClient(subscriptionKey: apiSubscriptionKey);

var options = new PharmacySearchOptions();
options.ZipCode = "75063";
options.PharmacyName = "CVS";
options.Count = 50;
options.PartialMatch = true;

var searchResults = await _clnClient.SearchPharmaciesAsync(options: options);

Response

A list of Pharmacy Objects if valid parameters were provided.